Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AttributeType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.AttributeType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AttributeType extends IdTitle
Тип реквизита.
Типы реквизитов ранее не хранились в БД, а заводились в конфиге. Но теперь(с версии 6.3) они храняться в таблице bill_attribute_type_$mid
name - ключ
title - описание

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCheck()`
  `String`
  `getName()`
  `AttributeType`
  `setCheck(String check)`
  `AttributeType`
  `setId(int id)`
  Устанавливает id объекта
  `AttributeType`
  `setName(String name)`
  `AttributeType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AttributeType

    public AttributeType()

- ## Method Details

  - ### getCheck

    public String getCheck()

  - ### getName

    public String getName()

  - ### setCheck

    public AttributeType setCheck(String check)

  - ### setId

    public AttributeType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setName

    public AttributeType setName(String name)

  - ### setTitle

    public AttributeType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`